leksah-server-0.12.1.2: Metadata collection for leksah

Safe Haskell | None

IDE.Utils.Server

Description

Synopsis

- ipAddress :: (Word8, Word8, Word8, Word8) -> HostAddress
- data Server = Server {
  - serverAddr :: SockAddr
  - serverTyp :: SocketType
  - serverRoutine :: ServerRoutine
  }
- serveOne :: Maybe UserAndGroup -> Server -> IO (ThreadId, MVar ())
- serveMany :: Maybe UserAndGroup -> [Server] -> IO [(ThreadId, MVar ())]
- type ServerRoutine = (Handle, HostName, PortNumber) -> IO ()
- data UserAndGroup
  - = UserAndGroup String String
  - | UserWithDefaultGroup String
- class WaitFor a where
  - waitFor :: a -> IO ()

# Documentation

ipAddress :: (Word8, Word8, Word8, Word8) -> HostAddress Source

make an IP Address: (127,0,0,1) is the localhost

data Server Source

the specification of a serving process

Constructors

Server |

Fields

serverAddr :: SockAddr
serverTyp :: SocketType
serverRoutine :: ServerRoutine

serveOne :: Maybe UserAndGroup -> Server -> IO (ThreadId, MVar ())Source

serveMany :: Maybe UserAndGroup -> [Server] -> IO [(ThreadId, MVar ())]Source

type ServerRoutine = (Handle, HostName, PortNumber) -> IO ()Source

the functionality of a server

data UserAndGroup Source

Constructors

UserAndGroup String String |
UserWithDefaultGroup String |

class WaitFor a where Source

Methods

waitFor :: a -> IO ()Source

Instances

WaitFor a => WaitFor [a] |
WaitFor (MVar a) |
WaitFor (ThreadId, MVar ()) |